TreeDragNDropListener

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.tree.client
Class TreeDragNDropListener

    java.lang.Object
      org.openswing.swing.tree.client.TreeDragNDropListener

public class TreeDragNDropListener
extends java.lang.Object

Title: OpenSwing Framework

Description: Based class used to listen drag 'n drop events fired by the tree.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Constructor Summary
`TreeDragNDropListener()`

Method Summary
`void` | `dragDropEnd()` This message goes to DragSourceListener, informing it that the dragging has ended.
`boolean` | `dragEnabled()` Method called on beginning a drag event.
`void` | `dragEnter()` This message goes to DragSourceListener, informing it that the dragging has entered the DropSite.
`void` | `dragExit()` This message goes to DragSourceListener, informing it that the dragging has exited the DropSite.
`void` | `dragOver()` This message goes to DragSourceListener, informing it that the dragging is currently ocurring over the DropSite.
`void` | `dropActionChanged()` This method is invoked when the user changes the dropAction.
`boolean` | `dropEnabled(javax.swing.tree.DefaultMutableTreeNode node, java.lang.String treeId)` Method called on firing a drop event onto the tree.
`void` | `dropEnter()` This method is invoked when you are dragging over the DropSite.
`void` | `dropExit()` This method is invoked when you are exit the DropSite without dropping.
`void` | `dropOver()` This method is invoked when a drag operation is going on.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeDragNDropListener

    public TreeDragNDropListener()

Method Detail

### dragEnabled

    public boolean dragEnabled()

  Method called on beginning a drag event.

  Returns:
    `true`, dragging can continue, `false` drag is not allowed; default value: `true`

### dropEnabled

    public boolean dropEnabled(javax.swing.tree.DefaultMutableTreeNode node,
                               java.lang.String treeId)

  Method called on firing a drop event onto the tree.

  Returns:
    `true`, drop is allowed, `false` drop is not allowed; default value: `true`

### dragEnter

    public void dragEnter()

  This message goes to DragSourceListener, informing it that the dragging has entered the DropSite.

### dragExit

    public void dragExit()

  This message goes to DragSourceListener, informing it that the dragging has exited the DropSite.

### dragOver

    public void dragOver()

  This message goes to DragSourceListener, informing it that the dragging is currently ocurring over the DropSite.

### dropActionChanged

    public void dropActionChanged()

  This method is invoked when the user changes the dropAction.

### dragDropEnd

    public void dragDropEnd()

  This message goes to DragSourceListener, informing it that the dragging has ended.

### dropEnter

    public void dropEnter()

  This method is invoked when you are dragging over the DropSite.

### dropExit

    public void dropExit()

  This method is invoked when you are exit the DropSite without dropping.

### dropOver

    public void dropOver()

  This method is invoked when a drag operation is going on.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD